Name:           compat-libgdata19
Version:        0.16.1
Release:        1%{?dist}
Summary:        Compat package with libgdata libraries

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/libgdata
Source0:        http://download.gnome.org/sources/libgdata/0.16/libgdata-%{version}.tar.xz

BuildRequires:  gcr-devel
BuildRequires:  glib2-devel
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  json-glib-devel
BuildRequires:  liboauth-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  vala-devel
BuildRequires:  vala-tools

# Explicitly conflict with older libgdata packages that ship libraries
# with the same soname as this compat package
Conflicts: libgdata < 0.17.1

%description
Compatibility package with libgdata libraries ABI version 19.

%prep
%setup -q -n libgdata-%{version}

%build
%configure \
  --disable-tests \
  --disable-static
make %{?_smp_mflags} CFLAGS="$CFLAGS -fno-strict-aliasing"

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
rm -rf $RPM_BUILD_ROOT%{_datadir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libgdata.so.19*

%changelog
* Mon May 11 2015 Kalev Lember <kalevlember@gmail.com> - 0.16.1-1
- libgdata ABI version 19 compatibility package (#1220342)
